Create – Media API – MediaKind
Create
put https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name/liveOutputs/:output_name
Creates a Live Output
RBAC Capability Required: ams.liveeventoutput.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
- event_name string Required
- output_name string Required
Request
This endpoint expects an object.
properties object LiveOutputPutProperties Required
The properties of the live output.
Show 7 properties
- archiveWindowLength string Required
- ISO 8601 timespan duration of the archive window length. This is duration that customer want to retain the recorded content.
- assetName string Required
- 1-260 characters
- The name of the asset that the live output will write to.
- description string Optional
- 0-4096 characters
- The description of the live output.
- hls object LiveOutputHls Optional
Show 1 property
- fragmentsPerTsSegment integer Optional
- 1 to 100000000 Defaults to 1
- The number of fragments per HLS segment.
- manifestName string Optional
- 1-64 characters pattern: ^[a-zA-Z0-9\-]+[a-zA-Z0-9]$
- The name of the manifest file. If not provided, the service will generate one automatically. This is the filename that will appear in playback URLs.
- outputSnapTime integer Optional
- Defaults to 0
- Not supported. The output snapshot time. This is the wall clock time, in unix epoch seconds, that the live output will begin recording from.
- rewindWindowLength string Optional
- Not supported. ISO 8601 timespan duration of the rewind window length during live playback. This is the amount of time that the live output will be able to rewind.
Response
201 Live Output created
- name string Optional
- 1-256 characters pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9])$
- The name of the resource
- properties object LiveOutputProperties Required
The properties of the live output.
Show 11 properties
- archiveWindowLength string Required
- ISO 8601 timespan duration of the archive window length. This is duration that customer want to retain the recorded content.
- assetName string Required
- 1-260 characters
- The name of the asset that the live output will write to.
- created string Optional
- The exact time the live output was created.
- description string Optional
- 0-4096 characters
- The description of the live output.
- hls object LiveOutputHls Optional
Show 1 property
- fragmentsPerTsSegment integer Optional
- 1 to 100000000 Defaults to 1
- The number of fragments per HLS segment.
- lastModified string Optional
- The exact time the live output was last modified.
- manifestName string Optional
- 1-64 characters pattern: ^[a-zA-Z0-9\-]+[a-zA-Z0-9]$
- The name of the manifest file. If not provided, the service will generate one automatically. This is the filename that will appear in playback URLs.
- outputSnapTime integer Optional
- Defaults to 0
- Not supported. The output snapshot time. This is the wall clock time, in unix epoch seconds, that the live output will begin recording from.
- provisioningState string Optional
- The provisioning state of the live output.
- resourceState enum Optional
- The resource state of the live output.
- Allowed values: Creating, Deleting, Running
- rewindWindowLength string Optional
- Not supported. ISO 8601 timespan duration of the rewind window length during live playback. This is the amount of time that the live output will be able to rewind.
Errors
400 Bad Request
- error object ErrorDetail Required
- Pertinent information about the error
Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- Extra information regarding this error.
Show value schema Hide value schema
- [any key] any
- ref string Required
- A reference to the request that caused the error.
- status integer Required
- The HTTP status code
401 Unauthorized
... [Similar structure for all other error responses]